Power Control

Control power to a slice using the API.

Power Off

Type: GET

https://cloud.syminet.com/api/v1/slices/{SLICE_ID}/shutdown

Power off SLICE_ID.

Parameters:

SLICE_ID

Slice ID to shutdown.

Curl
 curl --request GET \
      --url https://cloud.syminet.com/api/v1/slices/SLICE_ID/shutdown \
      --header "authorization:bearer $API_TOKEN"

Response: 202 OK

Power On

Type: GET

https://cloud.syminet.com/api/v1/slices/{SLICE_ID}/boot

Power on / boot SLICE_ID.

Required URL Parameters:

SLICE_ID

Slice ID to power on / boot.

Curl
 curl --request GET \
      --url https://cloud.syminet.com/api/v1/slices/SLICE_ID/boot \
      --header "authorization:bearer $API_TOKEN"

Response: 202 OK

Reboot

Type: GET

https://cloud.syminet.com/api/v1/slices/{SLICE_ID}/reboot

Reboot SLICE_ID.

Required URL Parameters:

SLICE_ID

Slice ID to reboot.

Curl
 curl --request GET \
      --url https://cloud.syminet.com/api/v1/slices/SLICE_ID/reboot \
      --header "authorization:bearer $API_TOKEN"

Response: 202 OK